Index: src/Potentials/Specifics/PairPotential_Angle.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Angle.cpp	(revision e352cb411d3d37b2e64669a2c6fb6ef5c45067d8)
+++ src/Potentials/Specifics/PairPotential_Angle.cpp	(revision bbc422512d336a69e8614142eb1a04fdf59a0648)
@@ -109,11 +109,11 @@
 PairPotential_Angle::function_theta(
     const double &r_ij,
-    const double &r_ik,
-    const double &r_jk
+    const double &r_jk,
+    const double &r_ik
   ) const
 {
 //  Info info(__func__);
-  const double angle = Helpers::pow(r_ij,2) + Helpers::pow(r_ik,2) - Helpers::pow(r_jk,2);
-  const double divisor = 2.* r_ij * r_ik;
+  const double angle = Helpers::pow(r_ij,2) + Helpers::pow(r_jk,2) - Helpers::pow(r_ik,2);
+  const double divisor = 2.* r_ij * r_jk;
 
 //  LOG(2, "DEBUG: cos(theta)= " << angle/divisor);
@@ -131,14 +131,14 @@
   ASSERT( arguments.size() == 3,
       "PairPotential_Angle::operator() - requires exactly three arguments.");
-  ASSERT( ParticleTypeChecker::checkArgumentsAgainstParticleTypesStrictOrdering(
+  ASSERT( ParticleTypeChecker::checkArgumentsAgainstParticleTypes(
       arguments, getParticleTypes()),
       "PairPotential_Angle::operator() - types don't match with ones in arguments.");
   const argument_t &r_ij = arguments[0]; // 01
-  const argument_t &r_ik = arguments[2]; // 12
-  const argument_t &r_jk = arguments[1]; // 02
+  const argument_t &r_jk = arguments[2]; // 12
+  const argument_t &r_ik = arguments[1]; // 02
   const result_t result =
       params[spring_constant]
-             * Helpers::pow( function_theta(r_ij.distance, r_ik.distance, r_jk.distance) - params[equilibrium_distance], 2 )
-            + params[energy_offset];
+             * Helpers::pow( function_theta(r_ij.distance, r_jk.distance, r_ik.distance) - params[equilibrium_distance], 2 )
+      + params[energy_offset];
   return std::vector<result_t>(1, result);
 }
@@ -151,12 +151,12 @@
   ASSERT( arguments.size() == 3,
       "PairPotential_Angle::operator() - requires exactly three arguments.");
-  ASSERT( ParticleTypeChecker::checkArgumentsAgainstParticleTypesStrictOrdering(
+  ASSERT( ParticleTypeChecker::checkArgumentsAgainstParticleTypes(
       arguments, getParticleTypes()),
       "PairPotential_Angle::operator() - types don't match with ones in arguments.");
   derivative_components_t result;
   const argument_t &r_ij = arguments[0]; //01
-  const argument_t &r_ik = arguments[2]; //12
-  const argument_t &r_jk = arguments[1]; //02
-  result.push_back( 2. * params[spring_constant] * ( function_theta(r_ij.distance, r_ik.distance, r_jk.distance) - params[equilibrium_distance]) );
+  const argument_t &r_jk = arguments[2]; //12
+  const argument_t &r_ik = arguments[1]; //02
+  result.push_back( 2. * params[spring_constant] * ( function_theta(r_ij.distance, r_jk.distance, r_ik.distance) - params[equilibrium_distance]) );
   ASSERT( result.size() == 1,
       "PairPotential_Angle::operator() - we did not create exactly one component.");
@@ -172,15 +172,15 @@
   ASSERT( arguments.size() == 3,
       "PairPotential_Angle::parameter_derivative() - requires exactly three arguments.");
-  ASSERT( ParticleTypeChecker::checkArgumentsAgainstParticleTypesStrictOrdering(
+  ASSERT( ParticleTypeChecker::checkArgumentsAgainstParticleTypes(
       arguments, getParticleTypes()),
       "PairPotential_Angle::operator() - types don't match with ones in arguments.");
   const argument_t &r_ij = arguments[0]; //01
-  const argument_t &r_ik = arguments[2]; //12
-  const argument_t &r_jk = arguments[1]; //02
+  const argument_t &r_jk = arguments[2]; //12
+  const argument_t &r_ik = arguments[1]; //02
   switch (index) {
     case spring_constant:
     {
       const result_t result =
-                 Helpers::pow( function_theta(r_ij.distance, r_ik.distance, r_jk.distance) - params[equilibrium_distance], 2 );
+                 Helpers::pow( function_theta(r_ij.distance, r_jk.distance, r_ik.distance) - params[equilibrium_distance], 2 );
       return std::vector<result_t>(1, result);
       break;
@@ -190,5 +190,5 @@
       const result_t result =
           -2. * params[spring_constant]
-                 * ( function_theta(r_ij.distance, r_ik.distance, r_jk.distance) - params[equilibrium_distance]);
+                 * ( function_theta(r_ij.distance, r_jk.distance, r_ik.distance) - params[equilibrium_distance]);
       return std::vector<result_t>(1, result);
       break;
